#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0x85c41023, "tcp_vegas_get_info" },
	{ 0x963b0cb7, "tcp_reno_undo_cwnd" },
	{ 0x6f57d582, "tcp_vegas_cwnd_event" },
	{ 0xa2ffee24, "tcp_vegas_state" },
	{ 0xbfe46364, "tcp_unregister_congestion_control" },
	{ 0x8e79bcb7, "tcp_register_congestion_control" },
	{ 0x767195e, "tcp_cong_avoid_ai" },
	{ 0x74f8f3e3, "tcp_slow_start" },
	{ 0x6a70e807, "tcp_vegas_init" },
	{ 0xc0f2927c, "tcp_vegas_pkts_acked" },
	{ 0xbdfb6dbb, "__fentry__" },
};

MODULE_INFO(depends, "tcp_vegas");


MODULE_INFO(srcversion, "F927DC3BDBC486D372C13F8");
